/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.nav-pills {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid #857FE433;
    border-radius: rem(200);
    padding: rem(8) !important;
    gap: rem(8);

    .nav-item {

        cursor: pointer;
        padding: rem(16);
        border: 1px solid transparent;
        background: transparent;
        border-radius: rem(31);
        transition: all 0.3s ease;

        &.active {
            color: var(--white);
            box-shadow: 0px 8px 16px 0px #7090B01F;
            border-color: var(--color-default-2);
            background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);

            .nav-link {
                background: transparent;
            }
        }

        &:hover {
            border-color: var(--color-default-2);

            .nav-link {
                color: var(--white);
            }
        }
    }

    .nav-link {
        padding: 0;
        font-weight: 600;
        font-size: rem(14);
        color: var(--color-default-1);
        background: transparent;
        cursor: pointer;
        position: relative;
        transition: all 0.3s ease;
    }
}

.detail-tab {
    position: relative;
    margin-top: rem(85);

    .nav-pills {
        display: flex;
        align-items: center;
        justify-content: space-between;
        // border-top: 1px solid var(--border-gray);
        border: 0;
        border-bottom: rem(1) solid var(--border-color);
        padding: 0 rem(40) !important;
        border-radius: 0;

        // @media (max-width: 1350px) {
        //     padding-left: rem(30);
        //     padding-right: rem(20);
        // }

        .nav-item {
            padding: 0;
            border-radius: 0 !important;
            border: 0 !important;
        }

        button.nav-link {
            padding: 0;
            font-weight: 600;
            font-size: rem(14);
            color: rgba(0, 0, 0, 0.4);
            cursor: pointer;
            position: relative;
            margin-bottom: rem(-2);
            padding-bottom: rem(25);
            color: var(--color-default-1);
            font-size: rem(14);
            border-radius: 0 !important;
            border: 0 !important;

            &.active {
                color: var(--white);
                border-bottom: rem(1) solid var(--color-hover-icon) !important;
                background: transparent;
            }

        }

    }

    .domains-tab-wrapper {
        // padding-top: rem(40);
    }

    .domains-wrapper {
        margin-top: rem(64);
        padding-left: rem(80);
        padding-right: rem(50);

        @media (max-width: 1350px) {
            padding-left: rem(30);
            padding-right: rem(20);
        }
    }

    .schema-wrapper {
        margin-top: rem(80);
        padding-left: rem(40);
        padding-right: rem(40);

        @media (max-width: 1350px) {
            padding-left: rem(30);
            padding-right: rem(30);
        }
    }

    .quality-wrapper {
        margin-top: rem(80);
        padding-left: rem(80);
        padding-right: rem(50);

        @media (max-width: 1350px) {
            padding-left: rem(30);
            padding-right: rem(20);
        }

    }

    .glossary-wrapper {
        // margin-top: rem(40);

        .glossary-tabs {
            display: flex;
            align-items: center;
            justify-content: center;
            padding: rem(16) rem(40);
            gap: rem(8);
            border-bottom: rem(1) solid var(--border-color);

            &-item {
                width: 100%;
                text-align: center;
                height: rem(42);
                line-height: rem(42);
                border: 1px solid var(--color-default-2);
                border-radius: rem(30);

                &.active {
                    color: var(--white);
                    background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
                    box-shadow: 0px 8px 16px rgba(112, 144, 176, 0.12);
                }
            }
        }

        // .glossary-tab-content {
        //     margin-top: rem(72);
        // }

        .vocabularies-wrapper {
            margin-top: rem(64);
            padding-left: rem(80);
            padding-right: rem(50);
        }
    }

    .permissions-wrapper {

        // padding: 0 rem(12);
        padding: 0 rem(40) 0 0;

        .row {
            margin: 0;
        }

        .container,
        .col-3,
        .col-4,
        .col-5 {
            padding: 0;
        }

        &-top {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: rem(40);

            .permission-title {
                font-size: rem(13);
                line-height: 1.5rem;
                font-weight: 400;
                color: var(--white);
            }
        }

        .permissions-wrapper-owner {
            .welcome-user {
                align-items: flex-start;
                padding-bottom: rem(32);
            }

            .welcome-user-text {
                margin-top: rem(24);
                font-size: rem(20);
            }

            .welcome-user-data {
                margin-top: rem(16);
            }

            .welcome-user-img {
                max-width: rem(110);
                max-height: rem(110);
                aspect-ratio: 1/1;
            }

        }

    }

    .permission-left {
        padding-top: rem(80);
        padding-left: rem(40);
        padding-bottom: rem(80);
        // background: var(--cards-folder-background);
        background: var(--color-default-8);
        height: 100%;

        &-filters {
            margin-top: rem(30);

            &-title {
                font-size: rem(13);
                line-height: 1.4em;
                font-weight: 300;
                color: var(--color-default-1);
                margin-bottom: rem(16);
            }
        }
    }

    .permission-middle {
        height: 100%;
        padding-top: rem(60);
        border-right: 1px solid var(--border-color);
        height: 100%;
    }

    .permission-right {
        padding-top: rem(60);
        height: 100%;
    }

}

.permissions-holder {

    .form-group-checkbox {
        display: flex;
    }

}

.quality-wrapper-tab {


    padding: rem(80) rem(40) 0 rem(40);

    .progress-bar {

        margin-bottom: rem(80);

        .info {

            p {
                font-size: rem(13);
                color: var(--color-default-1);
                line-height: 1.6em;
                margin-bottom: rem(16);
            }

            .overall {

                display: flex;
                gap: rem(16);
                align-items: center;

                .circle {
                    height: rem(8);
                    width: rem(8);
                    border-radius: 100%;
                    background-color: var(--color-default-1);
                    margin-right: rem(8);

                    &.green {
                        background-color: #0EA930;
                    }

                }

                .number {
                    display: flex;
                    gap: rem(16);
                    align-items: center;
                    font-size: rem(56);
                    color: var(--white);
                    font-weight: 300;
                    line-height: 0.8em;
                }

            }

        }

        &-wrapper {
            padding-left: rem(25);
            padding-right: rem(20);
            height: rem(80);
            line-height: rem(78);
            text-align: right;
            border: rem(1) solid var(--border-color);
            border-radius: rem(24);
            position: relative;

            .progress {
                height: rem(6);
                border-radius: rem(200);
                background-color: var(--color-default-8);
                position: absolute;
                left: rem(25);
                right: rem(115);
                top: 0;
                bottom: 0;
                margin: auto;

                .bar {
                    height: rem(6);
                    border-radius: rem(200);
                    background-color: #0EA930;
                    position: absolute;
                    left: 0;
                    right: 0;
                    top: 0;
                    bottom: 0;
                }

            }

            .state {
                font-size: rem(13);
                line-height: 1.6em;
                color: var(--white);
            }

        }

    }

}